Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.validation.api
Interface IValidationService

All Known Implementing Classes:
  ValidationService

    public interface IValidationService

Validation service interface.

Author:
  emueller

Method Summary
`org.eclipse.emf.common.util.Diagnostic` | `getDiagnostic(Object eObject)` Returns the severity for the given `EObject`.
`org.eclipse.emf.common.util.Diagnostic` | `getRootDiagnostic()` Returns the highest severity.
`void` | `remove(org.eclipse.emf.ecore.EObject eObject)` Removes the severity of the given `EObject`.
`Set<org.eclipse.emf.ecore.EObject>` | `validate(Collection<org.eclipse.emf.ecore.EObject> eObjects)` Validates the given `EObject`s.
`Set<org.eclipse.emf.ecore.EObject>` | `validate(org.eclipse.emf.ecore.EObject eObject)` Validates the given `EObject`.

Method Detail

### validate

    Set<org.eclipse.emf.ecore.EObject> validate(Collection<org.eclipse.emf.ecore.EObject> eObjects)

  Validates the given `EObject`s.

  Parameters:
    `eObjects` - a collection of `EObject`s to be validated
  Returns:
    the set of affected elements

### validate

    Set<org.eclipse.emf.ecore.EObject> validate(org.eclipse.emf.ecore.EObject eObject)

  Validates the given `EObject`.

  Parameters:
    `eObject` - the `EObject` to be validated
  Returns:
    the set of affected elements

### getDiagnostic

    org.eclipse.emf.common.util.Diagnostic getDiagnostic(Object eObject)

  Returns the severity for the given `EObject`.

  Parameters:
    `eObject` - the `EObject` whose severity should be returned
  Returns:
    the severity for the given `EObject`

### getRootDiagnostic

    org.eclipse.emf.common.util.Diagnostic getRootDiagnostic()

  Returns the highest severity.

  Returns:
    the highest severity

### remove

    void remove(org.eclipse.emf.ecore.EObject eObject)

  Removes the severity of the given `EObject`.

  Parameters:
    `eObject` - the `EObject` whose severity should be removed

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.